Loading...
Searching...
No Matches
AVHDRPlusPercentile Struct Reference

Represents the percentile at a specific percentage in a distribution. More...

`#include <libavutil/hdr_dynamic_metadata.h>`

## Data Fields

uint8_t | percentage
| The percentage value corresponding to a specific percentile linearized RGB value in the processing window in the scene.
AVRational | percentile
| The linearized maxRGB value at a specific percentile in the processing window in the scene.

## Detailed Description

Represents the percentile at a specific percentage in a distribution.

Definition at line 39 of file hdr_dynamic_metadata.h.

## Field Documentation

## percentage

uint8_t AVHDRPlusPercentile::percentage

The percentage value corresponding to a specific percentile linearized RGB value in the processing window in the scene.

The value shall be in the range of 0 to100, inclusive.

Definition at line 45 of file hdr_dynamic_metadata.h.

## percentile

AVRational AVHDRPlusPercentile::percentile

The linearized maxRGB value at a specific percentile in the processing window in the scene.

The value shall be in the range of 0 to 1, inclusive and in multiples of 0.00001.

Definition at line 52 of file hdr_dynamic_metadata.h.

The documentation for this struct was generated from the following file:

- libavutil/hdr_dynamic_metadata.h